# GET Unsubscriptions

## Get Unsubcriptions

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.3/unsubcriptions`

This endpoint allows you to access Unsubscribed contacts objects from Feedbackly.&#x20;

#### Query Parameters

| Name           | Type   | Description                                                                                                        |
| -------------- | ------ | ------------------------------------------------------------------------------------------------------------------ |
| startDate      | string | Filter by unix timestamp, starting at given value (optional)                                                       |
| endDate        | number | Filter by unix timestamp, ending at given value (optional)                                                         |
| skip           | String | No. of documents to skip from the start (optional)                                                                 |
| requiredFields | Array  | Fields to append to received contact object. Options: "email", "phone", "touchpointId" and "createdAt". (optional) |

#### Headers

| Name                                            | Type   | Description                                                                                          |
| ----------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | <p>Authentication token to access the API eg:<br>'Authorization': 'ey0iuefg.834xcunerun348efnsd'</p> |

{% tabs %}
{% tab title="200 Response successfully retrieved." %}

```
{
  "data": [
    {
      "_id": "5dc57703b7c935069aef31c5",
      "name": "Feedback terminal 1",
      "teamId": "5dc57703b7c935069aef31c1",
      "activeSurveyId": "5dc57703b7c935069aef31a2",
      "activeSurveyName": "NPS Survey",
      "lastResponse": 159801789,
      "lastResponseDate": "2020-08-21T13:52:01.606Z"
    },
    {
      
      "_id": "5dc57703b7c935069aef31c6",
      "name": "Web widget home page",
      "teamId": "5dc57703b7c935069aef31c2",
      "activeSurveyId": "5dc57703b7c935069aef31a1",
      "activeSurveyName": "CES Survey",
      "lastResponse": 159801789,
      "lastResponseDate": "2020-08-21T13:52:01.606Z"
    }
  ],
  "paging": {
    "next": "https://api.feedbackly.com/v5.0.2/touchpoints?skip=200",
    "previous": "https://api.feedbackly.com/v5.0.2/touchpoints?skip=0"
  }
}
```

{% endtab %}
{% endtabs %}

### Response type description

| Field name | Type                                               | Example | Description                               |
| ---------- | -------------------------------------------------- | ------- | ----------------------------------------- |
| data       | [Unsubsribed contact](/api/unsubscriptions.md) \[] |         | The array of Unsubscribed contact objects |
| paging     | [Pagination](/api/notes/pagination.md)             |         | Pagination object                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedbackly.com/api/unsubscriptions/get-touchpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
